AICompare (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AICompare class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AICompare

    java.lang.Object
      org.hyperic.hq.autoinventory.AICompare

    public class AICompare

extends java.lang.Object

A utility class to facilitate comparisons of AI value objects. This is used in determining if we should send a default scan or a runtime scan to the server. If nothing has changed, we don't send the report.

See Also:
  `ScanState.isSameState(org.hyperic.hq.autoinventory.ScanState)`, `RuntimeResourceReport.isSameReport(org.hyperic.hq.product.RuntimeResourceReport)`

Method Summary
`static boolean` | `aIServiceTypesEqual(AIServiceTypeValue[] serviceTypes1, AIServiceTypeValue[] serviceTypes2)`
`static boolean` | `aiServiceTypesEqual(AIServiceTypeValue s1, AIServiceTypeValue s2)`
`static boolean` | `compareAIPlatforms(AIPlatformValue p1, AIPlatformValue p2)`
`static boolean` | `compareAIServers(java.util.Collection servers1, java.util.Collection servers2)`
`static boolean` | `compareAIServices(AIServiceValue[] services1, AIServiceValue[] services2)`
`static boolean` | `configSchemasEqual(byte[] c1, byte[] c2)`
`static boolean` | `configsEqual(byte[] c1, byte[] c2)`
`static boolean` | `measurementInfosEqual(byte[] m1, byte[] m2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compareAIPlatforms

    public static boolean compareAIPlatforms(AIPlatformValue p1,
                                             AIPlatformValue p2)

### compareAIServers

    public static boolean compareAIServers(java.util.Collection servers1,
                                           java.util.Collection servers2)

### compareAIServices

    public static boolean compareAIServices(AIServiceValue[] services1,
                                            AIServiceValue[] services2)

### aIServiceTypesEqual

    public static boolean aIServiceTypesEqual(AIServiceTypeValue[] serviceTypes1,
                                              AIServiceTypeValue[] serviceTypes2)

### aiServiceTypesEqual

    public static boolean aiServiceTypesEqual(AIServiceTypeValue s1,
                                              AIServiceTypeValue s2)

### measurementInfosEqual

    public static boolean measurementInfosEqual(byte[] m1,
                                                byte[] m2)

### configSchemasEqual

    public static boolean configSchemasEqual(byte[] c1,
                                             byte[] c2)

### configsEqual

    public static boolean configsEqual(byte[] c1,
                                       byte[] c2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.